Description

The current tool split parts is only splitting a single polygon in two

parts of the same record. The part cannot be moved separately from the whole, so this is of limited use IMHO.

It would be good to add a tool that separate a part from another, in a multipolygon

record.

History

#1 - 2015-10-02 04:03 AM - Bernhard Ströbl

This functionality is included in DigitizingTools plugin

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-06-02 11:34 AM - Bernhard Ströbl

- Description updated

@Paolo: A possible use is to edit the part after splitting using the Node Tool

After a discussion on the user mailing list, however, I tend to vote for abandoning this tool and to enhance the split feature tool to better handle multi-part

features.

Reasoning:

    1. Having only one tool called Split... enhances ease of use.

    2. Split parts (at least if applied to a polygon) results in a geometry that cannot be split any further because of geometry error: both newly created parts (

halves) share a common boundary. I did not investigate if #13983 is related to this.

    3. If Split features is applied to a part of a multipart feature, currently both halves of the split part are added as new features; IMHO a user normally only

wants to get one of the halves as a separate feature and have the other one stay in the multipart feature.

    4. If Split features would leave one part in the original feature and create one new feature, the editing of the new feature would be easier. If in the end

only one (multipart) feature is intended the features can be merged after editing.

Proposed workflow for Split Feature:

    1. After splitting, detect if the feature is multipart and has multiple parts

    2. If yes allow the user to select which half is supposed to become a new feature (e.g. by having him click in this half).

I created a new tool in DigitizingTools that does that and is aimed at replacing both tools in core (i.e. Split Features and Split Parts).

#4 - 2018-03-07 05:34 PM - Paolo Cavallini

Unchanged in QGIS 3.
http://osgeo-org.1560.x6.nabble.com/Split-features-tool-behavior-td5321288.html
